Graph API-Version

Whats App Business Account Call Analytics

Wird gelesen

Enables one to retrieve the call analytics data for this WhatsApp Business Account

Beispiel

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Weitere Informationen zur Verwendung der Graph API findest du in unserem Graph API-Leitfaden.

Parameter

ParameterBeschreibung
country_codes
array<string>
Standardwert: []

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
Standardwert: []

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
Standardwert: []

Call directions to receive analytics for

end
int64

End time

erforderlich
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

erforderlich
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
Standardwert: []

Metric types to receive analytics for

phone_numbers
array<string>
Standardwert: []

Phone numbers to receive analytics for

start
int64

Start time

erforderlich
tiers
array<string>
Standardwert: []

tiers

Felder

Beim Lesen dieses Edge wird ein Ergebnis im JSON-Format ausgegeben:

{ "data": [], "paging": {} }

data

Eine Liste von WABACallAnalytics-Nodes.

paging

Weitere Informationen zur Paginierung findest du im Graph API-Leitfaden.

Error Codes

FehlerBeschreibung
100Invalid parameter

Wird erstellt

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.

Wird aktualisiert

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.

Wird gelöscht

Diese Handlung kann auf diesem Endpunkt nicht durchgeführt werden.